Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.catalina.filters
Enum ExpiresFilter.StartingPoint

    java.lang.Object
      java.lang.Enum<ExpiresFilter.StartingPoint>
          org.apache.catalina.filters.ExpiresFilter.StartingPoint

All Implemented Interfaces:
  Serializable, Comparable<ExpiresFilter.StartingPoint>

Enclosing class:
  ExpiresFilter

    protected static enum ExpiresFilter.StartingPoint

extends Enum<ExpiresFilter.StartingPoint>

Expiration configuration starting point. Either the time the html-page/servlet-response was served (`ACCESS_TIME`) or the last time the html-page/servlet-response was modified ( `LAST_MODIFICATION_TIME`).

Enum Constant Summary
`ACCESS_TIME`
`LAST_MODIFICATION_TIME`

Method Summary
`static ExpiresFilter.StartingPoint` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExpiresFilter.StartingPoint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACCESS_TIME

    public static final ExpiresFilter.StartingPoint ACCESS_TIME

### LAST_MODIFICATION_TIME

    public static final ExpiresFilter.StartingPoint LAST_MODIFICATION_TIME

Method Detail

### values

    public static ExpiresFilter.StartingPoint[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExpiresFilter.StartingPoint c : ExpiresFilter.StartingPoint.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExpiresFilter.StartingPoint valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.